package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceType;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceTypeMapper {
    long countByExample(InvoiceTypeExample example);

    int deleteByExample(InvoiceTypeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceType record);

    int insertSelective(InvoiceType record);

    List<InvoiceType> selectByExampleWithBLOBs(InvoiceTypeExample example);

    List<InvoiceType> selectByExample(InvoiceTypeExample example);

    InvoiceType selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceType record, @Param("example") InvoiceTypeExample example);

    int updateByExampleWithBLOBs(@Param("record") InvoiceType record, @Param("example") InvoiceTypeExample example);

    int updateByExample(@Param("record") InvoiceType record, @Param("example") InvoiceTypeExample example);

    int updateByPrimaryKeySelective(InvoiceType record);

    int updateByPrimaryKeyWithBLOBs(InvoiceType record);

    int updateByPrimaryKey(InvoiceType record);
}